RegionRoleListener (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache, interface: RegionRoleListener

Package org.apache.geode.cache

# Interface RegionRoleListener<K,V>

All Superinterfaces:
  `CacheCallback`, `CacheListener<K,V>`, `Declarable`

All Known Implementing Classes:
  `RegionRoleListenerAdapter`

@Deprecated public interface RegionRoleListener<K,V> extends CacheListener<K,V>
Deprecated.
this feature is scheduled to be removed
A listener that can be implemented to handle region reliability membership events. These are membership events that are specific to loss or gain of required roles as defined by the region's `MembershipAttributes`.

Instead of implementing this interface it is recommended that you extend the `RegionRoleListenerAdapter` class.

See Also:
  - `AttributesFactory.setCacheListener(org.apache.geode.cache.CacheListener<K, V>)`
  - `RegionAttributes.getCacheListener()`
  - `AttributesMutator.addCacheListener(org.apache.geode.cache.CacheListener<K, V>)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterRoleGain(RoleEvent<K,V> event)`
  Deprecated.
  Invoked when a required role has returned to the distributed system after being absent.
  `void`
  `afterRoleLoss(RoleEvent<K,V> event)`
  Deprecated.
  Invoked when a required role is no longer available in the distributed system.

  ### Methods inherited from interface org.apache.geode.cache.CacheCallback

  `close`

  ### Methods inherited from interface org.apache.geode.cache.CacheListener

  `afterCreate, afterDestroy, afterInvalidate, afterRegionClear, afterRegionCreate, afterRegionDestroy, afterRegionInvalidate, afterRegionLive, afterUpdate`

  ### Methods inherited from interface org.apache.geode.cache.Declarable

  `init, initialize`

- ## Method Details

  - ### afterRoleGain

    void afterRoleGain(RoleEvent<K,V> event)
    Deprecated.
    Invoked when a required role has returned to the distributed system after being absent.
    Parameters:
      `event` - describes the member that fills the required role.

  - ### afterRoleLoss

    void afterRoleLoss(RoleEvent<K,V> event)
    Deprecated.
    Invoked when a required role is no longer available in the distributed system.
    Parameters:
      `event` - describes the member that last filled the required role.